apply plugin: 'com.android.library'

android {
    compileSdkVersion 34
    defaultConfig {
        minSdkVersion 17
        targetSdkVersion 34
        versionCode 1
        versionName "1.0"

    }

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

}

dependencies {
    api fileTree(dir: 'libs', include: ['*.jar'])
    compileOnly 'com.google.android.material:material:1.4.+'
    compileOnly 'androidx.appcompat:appcompat:1.0.0'
    compileOnly 'androidx.recyclerview:recyclerview:1.0.0'
    api 'com.sobot.library:widget_x:1.2.6'
//    implementation project(':sobot_widget')
    api 'com.sobot.library:picture_x:1.2.0'
}



//添加发布到mavenCentral脚本
apply from: './sobot-album_publish-mavencentral.gradle'